.\"	$NetBSD: iopwdog.4,v 1.2 2002/08/04 22:58:15 wiz Exp $
.\"
.\" Copyright (c) 2002 Wasabi Systems, Inc.
.\" All rights reserved.
.\"
.\" Written by Jason R. Thorpe for Wasabi Systems, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed for the NetBSD Project by
.\"	Wasabi Systems, Inc.
.\" 4. The name of Wasabi Systems, Inc. may not be used to endorse
.\"    or promote products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY WASABI SYSTEMS, INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WASABI SYSTEMS, INC
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 2, 2002
.Dt IOPWDOG 4 evbarm
.Os
.Sh NAME
.Nm iopwdog
.Nd Intel I/O Processor Watchdog Timer
.Sh SYNOPSIS
.Cd iopxs* at mainbus?
.Cd iopwdog* at iopxs?
.Sh DESCRIPTION
The
.Nm
driver supports the watchdog timer built-in to the following Intel
I/O Processors:
.Bl -bullet
.It
Intel i80321 I/O Processor
.El
.Pp
The watchdog timer counts down at a fixed rate based on the clock
speed of the XScale CPU core.  The period of the watchdog timer
cannot be changed, nor can the watchdog time be disabled once is
has been enabled.
.Sh SEE ALSO
.Xr wdogctl 8
.Sh HISTORY
The
.Nm
device first appeared in
.Nx 2.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jason R. Thorpe Aq thorpej@wasabisystems.com
and contributed by Wasabi Systems, Inc.
